Source: r-cran-timedate
Version: 3012.100-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

r-cran-timedate fails to build from source in unstable/amd64:

  [..]

  Selecting previously unselected package icu-devtools.
  Preparing to unpack .../icu-devtools_55.1-7_amd64.deb ...
  Unpacking icu-devtools (55.1-7) ...
  Selecting previously unselected package libicu-dev:amd64.
  Preparing to unpack .../libicu-dev_55.1-7_amd64.deb ...
  Unpacking libicu-dev:amd64 (55.1-7) ...
  Selecting previously unselected package cdbs.
  Preparing to unpack .../archives/cdbs_0.4.142_all.deb ...
  Unpacking cdbs (0.4.142) ...
  Selecting previously unselected package r-base-dev.
  Preparing to unpack .../r-base-dev_3.3.1-1_all.deb ...
  Unpacking r-base-dev (3.3.1-1) ...
  Selecting previously unselected package xkb-data.
  Preparing to unpack .../xkb-data_2.17-1_all.deb ...
  Unpacking xkb-data (2.17-1) ...
  Selecting previously unselected package libxmu6:amd64.
  Preparing to unpack .../libxmu6_2%3a1.1.2-2_amd64.deb ...
  Unpacking libxmu6:amd64 (2:1.1.2-2) ...
  Selecting previously unselected package libxpm4:amd64.
  Preparing to unpack .../libxpm4_1%3a3.5.11-1+b1_amd64.deb ...
  Unpacking libxpm4:amd64 (1:3.5.11-1+b1) ...
  Selecting previously unselected package libxaw7:amd64.
  Preparing to unpack .../libxaw7_2%3a1.0.13-1_amd64.deb ...
  Unpacking libxaw7:amd64 (2:1.0.13-1) ...
  Selecting previously unselected package libxkbfile1:amd64.
  Preparing to unpack .../libxkbfile1_1%3a1.0.9-2_amd64.deb ...
  Unpacking libxkbfile1:amd64 (1:1.0.9-2) ...
  Selecting previously unselected package x11-xkb-utils.
  Preparing to unpack .../x11-xkb-utils_7.7+3_amd64.deb ...
  Unpacking x11-xkb-utils (7.7+3) ...
  Selecting previously unselected package xserver-common.
  Preparing to unpack .../xserver-common_2%3a1.18.3-1_all.deb ...
  Unpacking xserver-common (2:1.18.3-1) ...
  Selecting previously unselected package libdrm2:amd64.
  Preparing to unpack .../libdrm2_2.4.68-1_amd64.deb ...
  Unpacking libdrm2:amd64 (2.4.68-1) ...
  Selecting previously unselected package libglapi-mesa:amd64.
  Preparing to unpack .../libglapi-mesa_11.2.2-1_amd64.deb ...
  Unpacking libglapi-mesa:amd64 (11.2.2-1) ...
  Selecting previously unselected package libx11-xcb1:amd64.
  Preparing to unpack .../libx11-xcb1_2%3a1.6.3-1_amd64.deb ...
  Unpacking libx11-xcb1:amd64 (2:1.6.3-1) ...
  Selecting previously unselected package libxcb-dri2-0:amd64.
  Preparing to unpack .../libxcb-dri2-0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-dri2-0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-dri3-0:amd64.
  Preparing to unpack .../libxcb-dri3-0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-dri3-0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-glx0:amd64.
  Preparing to unpack .../libxcb-glx0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-glx0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-present0:amd64.
  Preparing to unpack .../libxcb-present0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-present0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-randr0:amd64.
  Preparing to unpack .../libxcb-randr0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-randr0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-shape0:amd64.
  Preparing to unpack .../libxcb-shape0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-shape0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-sync1:amd64.
  Preparing to unpack .../libxcb-sync1_1.11.1-1_amd64.deb ...
  Unpacking libxcb-sync1:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxcb-xfixes0:amd64.
  Preparing to unpack .../libxcb-xfixes0_1.11.1-1_amd64.deb ...
  Unpacking libxcb-xfixes0:amd64 (1.11.1-1) ...
  Selecting previously unselected package libxfixes3:amd64.
  Preparing to unpack .../libxfixes3_1%3a5.0.2-1_amd64.deb ...
  Unpacking libxfixes3:amd64 (1:5.0.2-1) ...
  Selecting previously unselected package libxdamage1:amd64.
  Preparing to unpack .../libxdamage1_1%3a1.1.4-2+b1_amd64.deb ...
  Unpacking libxdamage1:amd64 (1:1.1.4-2+b1) ...
  Selecting previously unselected package libxshmfence1:amd64.
  Preparing to unpack .../libxshmfence1_1.2-1_amd64.deb ...
  Unpacking libxshmfence1:amd64 (1.2-1) ...
  Selecting previously unselected package libxxf86vm1:amd64.
  Preparing to unpack .../libxxf86vm1_1%3a1.1.4-1_amd64.deb ...
  Unpacking libxxf86vm1:amd64 (1:1.1.4-1) ...
  Selecting previously unselected package libgl1-mesa-glx:amd64.
  Preparing to unpack .../libgl1-mesa-glx_11.2.2-1_amd64.deb ...
  Unpacking libgl1-mesa-glx:amd64 (11.2.2-1) ...
  Selecting previously unselected package libfontenc1:amd64.
  Preparing to unpack .../libfontenc1_1%3a1.1.3-1_amd64.deb ...
  Unpacking libfontenc1:amd64 (1:1.1.3-1) ...
  Selecting previously unselected package libxfont1:amd64.
  Preparing to unpack .../libxfont1_1%3a1.5.1-1_amd64.deb ...
  Unpacking libxfont1:amd64 (1:1.5.1-1) ...
  Selecting previously unselected package xvfb.
  Preparing to unpack .../xvfb_2%3a1.18.3-1_amd64.deb ...
  Unpacking xvfb (2:1.18.3-1) ...
  Selecting previously unselected package libxmuu1:amd64.
  Preparing to unpack .../libxmuu1_2%3a1.1.2-2_amd64.deb ...
  Unpacking libxmuu1:amd64 (2:1.1.2-2) ...
  Selecting previously unselected package xauth.
  Preparing to unpack .../xauth_1%3a1.0.9-1_amd64.deb ...
  Unpacking xauth (1:1.0.9-1) ...
  Selecting previously unselected package xfonts-encodings.
  Preparing to unpack .../xfonts-encodings_1%3a1.0.4-2_all.deb ...
  Unpacking xfonts-encodings (1:1.0.4-2) ...
  Selecting previously unselected package xfonts-utils.
  Preparing to unpack .../xfonts-utils_1%3a7.7+3_amd64.deb ...
  Unpacking xfonts-utils (1:7.7+3) ...
  Selecting previously unselected package xfonts-base.
  Preparing to unpack .../xfonts-base_1%3a1.0.4+nmu1_all.deb ...
  Unpacking xfonts-base (1:1.0.4+nmu1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for mime-support (3.60) ...
  Processing triggers for libc-bin (2.23-1) ...
  Processing triggers for systemd (230-5) ...
  Setting up zip (3.0-11) ...
  Setting up unzip (6.0-20) ...
  Setting up ucf (3.0036) ...
  Setting up libpaper1:amd64 (1.1.24+nmu4) ...
  
  Creating config file /etc/papersize with new version
  Setting up libpaper-utils (1.1.24+nmu4) ...
  Setting up xdg-utils (1.1.1-1) ...
  Setting up libgfortran3:amd64 (6.1.1-9) ...
  Setting up libblas-common (3.6.1-1) ...
  Setting up libblas3 (3.6.1-1) ...
  update-alternatives: using /usr/lib/libblas/libblas.so.3 to provide 
/usr/lib/libblas.so.3 (libblas.so.3) in auto mode
  Setting up libpng16-16:amd64 (1.6.23-1) ...
  Setting up libfreetype6:amd64 (2.6.3-3+b1) ...
  Setting up fonts-dejavu-core (2.35-1) ...
  Setting up fontconfig-config (2.11.0-6.4) ...
  Setting up libfontconfig1:amd64 (2.11.0-6.4) ...
  Setting up libpixman-1-0:amd64 (0.33.6-1) ...
  Setting up libxau6:amd64 (1:1.0.8-1) ...
  Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ...
  Setting up libxcb1:amd64 (1.11.1-1) ...
  Setting up libx11-data (2:1.6.3-1) ...
  Setting up libx11-6:amd64 (2:1.6.3-1) ...
  Setting up libxcb-render0:amd64 (1.11.1-1) ...
  Setting up libxcb-shm0:amd64 (1.11.1-1) ...
  Setting up libxext6:amd64 (2:1.3.3-1) ...
  Setting up libxrender1:amd64 (1:0.9.9-2) ...
  Setting up libcairo2:amd64 (1.14.6-1+b1) ...
  Setting up libcurl3:amd64 (7.47.0-1) ...
  Setting up x11-common (1:7.7+15) ...
  update-rc.d: warning: start and stop actions are no longer supported; falling 
back to defaults
  invoke-rc.d: could not determine current runlevel
  invoke-rc.d: policy-rc.d denied execution of start.
  Setting up libice6:amd64 (2:1.0.9-1+b1) ...
  Setting up libjpeg62-turbo:amd64 (1:1.5.0-1) ...
  Setting up liblapack3 (3.6.1-1) ...
  update-alternatives: using /usr/lib/lapack/liblapack.so.3 to provide 
/usr/lib/liblapack.so.3 (liblapack.so.3) in auto mode
  Setting up fontconfig (2.11.0-6.4) ...
  Regenerating fonts cache... done.
  Setting up libthai-data (0.1.25-1) ...
  Setting up libdatrie1:amd64 (0.2.10-2) ...
  Setting up libthai0:amd64 (0.1.25-1) ...
  Setting up libpango-1.0-0:amd64 (1.40.1-1) ...
  Setting up libgraphite2-3:amd64 (1.3.8-1) ...
  Setting up libharfbuzz0b:amd64 (1.2.6-2) ...
  Setting up libpangoft2-1.0-0:amd64 (1.40.1-1) ...
  Setting up libpangocairo-1.0-0:amd64 (1.40.1-1) ...
  Setting up libsm6:amd64 (2:1.2.2-1+b1) ...
  Setting up libtcl8.6:amd64 (8.6.5+dfsg-2) ...
  Setting up libjbig0:amd64 (2.1-3.1) ...
  Setting up libtiff5:amd64 (4.0.6-1) ...
  Setting up libxft2:amd64 (2.3.2-1) ...
  Setting up libxss1:amd64 (1:1.2.2-1) ...
  Setting up libtk8.6:amd64 (8.6.5-1) ...
  Setting up libxt6:amd64 (1:1.1.5-1) ...
  Setting up openssl (1.0.2h-1) ...
  Setting up ca-certificates (20160104) ...
  Setting up r-base-core (3.3.1-1) ...
  
  Creating config file /etc/R/Renviron with new version
  Setting up libgfortran-5-dev:amd64 (5.4.0-6) ...
  Setting up gfortran-5 (5.4.0-6) ...
  Setting up gfortran (4:5.3.1-3) ...
  update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f95 (f95) in 
auto mode
  update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f77 (f77) in 
auto mode
  Setting up libblas-dev (3.6.1-1) ...
  update-alternatives: using /usr/lib/libblas/libblas.so to provide 
/usr/lib/libblas.so (libblas.so) in auto mode
  Setting up liblapack-dev (3.6.1-1) ...
  update-alternatives: using /usr/lib/lapack/liblapack.so to provide 
/usr/lib/liblapack.so (liblapack.so) in auto mode
  Setting up libtinfo-dev:amd64 (6.0+20160625-1) ...
  Setting up libncurses5-dev:amd64 (6.0+20160625-1) ...
  Setting up libreadline6-dev:amd64 (6.3-8+b4) ...
  Setting up libreadline-dev:amd64 (6.3-8+b4) ...
  Setting up libjpeg62-turbo-dev:amd64 (1:1.5.0-1) ...
  Setting up libjpeg-dev (1:1.5.0-1) ...
  Setting up libpcre16-3:amd64 (2:8.38-3.1) ...
  Setting up libpcre32-3:amd64 (2:8.38-3.1) ...
  Setting up libpcrecpp0v5:amd64 (2:8.38-3.1) ...
  Setting up libpcre3-dev:amd64 (2:8.38-3.1) ...
  Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Setting up libpng-dev:amd64 (1.6.23-1) ...
  Setting up libbz2-dev:amd64 (1.0.6-8) ...
  Setting up liblzma-dev:amd64 (5.1.1alpha+20120614-2.1) ...
  Setting up icu-devtools (55.1-7) ...
  Setting up libicu-dev:amd64 (55.1-7) ...
  Setting up cdbs (0.4.142) ...
  Setting up r-base-dev (3.3.1-1) ...
  Setting up xkb-data (2.17-1) ...
  Setting up libxmu6:amd64 (2:1.1.2-2) ...
  Setting up libxpm4:amd64 (1:3.5.11-1+b1) ...
  Setting up libxaw7:amd64 (2:1.0.13-1) ...
  Setting up libxkbfile1:amd64 (1:1.0.9-2) ...
  Setting up x11-xkb-utils (7.7+3) ...
  Setting up xserver-common (2:1.18.3-1) ...
  Setting up libdrm2:amd64 (2.4.68-1) ...
  Setting up libglapi-mesa:amd64 (11.2.2-1) ...
  Setting up libx11-xcb1:amd64 (2:1.6.3-1) ...
  Setting up libxcb-dri2-0:amd64 (1.11.1-1) ...
  Setting up libxcb-dri3-0:amd64 (1.11.1-1) ...
  Setting up libxcb-glx0:amd64 (1.11.1-1) ...
  Setting up libxcb-present0:amd64 (1.11.1-1) ...
  Setting up libxcb-randr0:amd64 (1.11.1-1) ...
  Setting up libxcb-shape0:amd64 (1.11.1-1) ...
  Setting up libxcb-sync1:amd64 (1.11.1-1) ...
  Setting up libxcb-xfixes0:amd64 (1.11.1-1) ...
  Setting up libxfixes3:amd64 (1:5.0.2-1) ...
  Setting up libxdamage1:amd64 (1:1.1.4-2+b1) ...
  Setting up libxshmfence1:amd64 (1.2-1) ...
  Setting up libxxf86vm1:amd64 (1:1.1.4-1) ...
  Setting up libgl1-mesa-glx:amd64 (11.2.2-1) ...
  Setting up libfontenc1:amd64 (1:1.1.3-1) ...
  Setting up libxfont1:amd64 (1:1.5.1-1) ...
  Setting up xvfb (2:1.18.3-1) ...
  Setting up libxmuu1:amd64 (2:1.1.2-2) ...
  Setting up xauth (1:1.0.9-1) ...
  Setting up xfonts-encodings (1:1.0.4-2) ...
  Setting up xfonts-utils (1:7.7+3) ...
  Setting up xfonts-base (1:1.0.4+nmu1) ...
  Setting up r-cran-timedate-build-deps (3012.100-1) ...
  Processing triggers for libc-bin (2.23-1) ...
  Processing triggers for systemd (230-5) ...
  Processing triggers for ca-certificates (20160104) ...
  Updating certificates in /etc/ssl/certs...
  173 added, 0 removed; done.
  Running hooks in /etc/ca-certificates/update.d...
  done.
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=d8d1300a8013
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  
PWD=/home/lamby/temp/cdt.20160707145433.NdI4EFqtg6.r-cran-timedate/r-cran-timedate-3012.100
  OLDPWD=/home/lamby/temp/cdt.20160707145433.NdI4EFqtg6.r-cran-timedate
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building r-cran-timedate 3012.100-1 on amd64                               
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package r-cran-timedate
  dpkg-buildpackage: info: source version 3012.100-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Dirk Eddelbuettel <e...@debian.org>
   dpkg-source --before-build r-cran-timedate-3012.100
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh_listpackages: Please specify the compatibility level in debian/compat
  dh_listpackages: Compatibility levels before 5 are no longer supported (level 
1 requested)
  CDBS WARNING:    simple-patchsys.mk is deprecated since 0.4.85 - please use 
source format 3.0 (quilt) instead
  test -x debian/rules
  /usr/bin/make -f debian/rules reverse-config
  make[1]: Entering directory 
'/home/lamby/temp/cdt.20160707145433.NdI4EFqtg6.r-cran-timedate/r-cran-timedate-3012.100'
  dh_listpackages: Please specify the compatibility level in debian/compat
  dh_listpackages: Compatibility levels before 5 are no longer supported (level 
1 requested)
  CDBS WARNING:    simple-patchsys.mk is deprecated since 0.4.85 - please use 
source format 3.0 (quilt) instead
  make[1]: 'reverse-config' is up to date.
  make[1]: Leaving directory 
'/home/lamby/temp/cdt.20160707145433.NdI4EFqtg6.r-cran-timedate/r-cran-timedate-3012.100'
  if [ "reverse-patches" = "reverse-patches" ]; then rm -f 
debian/stamp-patched; fi
  patches: 
  if [ "reverse-patches" != "reverse-patches" ]; then touch 
debian/stamp-patched; fi
  if [ "reverse-patches" != "reverse-patches" ] ; then \
        /usr/bin/make -f debian/rules update-config ; \
  fi
  for dir in debian/patches ; do \
      rm -f $dir/*.log ; \
  done
  dh_clean 
  dh_clean: Please specify the compatibility level in debian/compat
  /usr/share/cdbs/1/rules/debhelper.mk:217: recipe for target 'clean' failed
  make: *** [clean] Error 2

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: r-cran-timedate.3012.100-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to